Skip to main content
POST
/
twitter
/
upload_media_v2
Upload media
curl --request POST \
  --url https://api.aisa.one/apis/v1/twitter/upload_media_v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'proxy=<string>' \
  --form 'login_cookies=<string>' \
  --form is_long_video=true
{
  "media_id": "<string>",
  "status": "<string>",
  "msg": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

The media file to upload.

proxy
string
required

The proxy to use.

login_cookies
string
required

The login cookies of the user.

is_long_video
boolean

If this is True, videos longer than 2:20 can be uploaded.

Response

200 - application/json

Successful media upload

media_id
string

The id of the uploaded media.

status
string

Status of the request.

msg
string

Message of the request.